# MenuItemSizeMode

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies how a [MenuItem](/api/wisej.web/menus/wisej.web.menuitem.md) in a [MenuBar](/api/wisej.web/menus/wisej.web.menubar.md) or a [MainMenu](/api/wisej.web/menus/wisej.web.mainmenu.md) behaves when the control resizes.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum MenuItemSizeMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum MenuItemSizeMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name     | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Auto** | The width of the [MenuItem](/api/wisej.web/menus/wisej.web.menuitem.md) is determined by its contents.                                                                                                                                                                                                                                                                                                                                                                                                               |
| **Fill** | The [MenuItem](/api/wisej.web/menus/wisej.web.menuitem.md) uses the available space on the [MenuBar](/api/wisej.web/menus/wisej.web.menubar.md) or [MainMenu](/api/wisej.web/menus/wisej.web.mainmenu.md) (the space not taken up by other menu items whose [SizeMode](/api/wisej.web/menus/wisej.web.menuitem.md#sizemode) property is set to [Auto](#fields)) and shares it with other menu items that have their [SizeMode](/api/wisej.web/menus/wisej.web.menuitem.md#sizemode) property set to [Fill](#fields). |

## Used By

| Name                                                                     | Description                                                                                                                                                           |
| ------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [MenuItem.SizeMode](/api/wisej.web/menus/wisej.web.menuitem.md#sizemode) | Returns or sets how the menu item is resized when in a [MenuBar](/api/wisej.web/menus/wisej.web.menubar.md) or [MainMenu](/api/wisej.web/menus/wisej.web.mainmenu.md) |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/menus/wisej.web.menuitemsizemode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
